import { UseResolveCallOptions } from "../_useResolveAsyncCall";
export declare type Web3ExecuteFunctionResult = any;
export interface UseWeb3ExecuteFunctionOptions extends UseResolveCallOptions {
}
export declare type Web3ExecuteFunctionParameters = {
    contractAddress?: string;
    abi?: object;
    functionName?: string;
    params?: Record<string, any>;
};
export interface Web3ExecuteFunctionFetchOptions {
    onError?: (error: Error) => void;
    onSuccess?: (results: Web3ExecuteFunctionResult) => void;
    onComplete?: () => void;
    throwOnError?: boolean;
    params?: Web3ExecuteFunctionParameters;
}
export declare const useWeb3ExecuteFunction: (params?: Web3ExecuteFunctionParameters | undefined, options?: UseWeb3ExecuteFunctionOptions | undefined) => {
    fetch: ({ throwOnError, onComplete, onError, onSuccess, params: fetchParams, }?: import("../_useResolveAsyncCall").ResolveCallOptions<any, Web3ExecuteFunctionParameters>) => Promise<void>;
    isFetching: boolean;
    isLoading: boolean;
    error: Error | null;
    data: any;
    setData: import("use-immer").Updater<any>;
};
